import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import RubyStackLogoLight from './RubyStackLogoLight';
import RubyStackLogoDark from './RubyStackLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const RubyStackLogoSvg = forwardRef(function RubyStackLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(RubyStackLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(RubyStackLogoLight, Object.assign({}, props, { ref: ref })));
});
export default RubyStackLogoSvg;
